Get dispute by id
curl --request GET \
--url https://api.tabby.ai/api/v1/disputes/{disputeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tabby.ai/api/v1/disputes/{disputeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tabby.ai/api/v1/disputes/{disputeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dispute": {
"id": "dispute id, uuid format",
"attachments": [
"attachment_1"
],
"payment_id": "payment id, uuid format",
"amount": "100.00",
"currency": "AED",
"created_at": "2018-10-17T00:00:00.000Z",
"expired_at": "2018-10-17T00:00:00.000Z",
"status": "new",
"reason": "unreceived_refund",
"days_left": 123,
"history": [
{
"attachments": [
"attachment_1"
],
"created_at": "2018-10-17T00:00:00.000Z",
"created_by": "email address of the source",
"content": "customer comment",
"source": "merchant",
"event_type": "dispute_created",
"note": "additional comments"
}
],
"items": [
{
"reference_id": "payment id",
"title": "Order item title",
"unit_price": "100.00"
}
],
"order_number": "#1234",
"comment": "additional comments"
}
}{
"status": "error",
"errorType": "bad_data",
"error": "bad_request"
}{
"status": "error",
"errorType": "not_authorized",
"error": "invalid secret key"
}{
"status": "error",
"errorType": "not_found",
"error": "dispute not found"
}"Internal Server error"Disputes
Get dispute by id
Returns detailed information about dispute.
GET
/
api
/
v1
/
disputes
/
{disputeId}
Get dispute by id
Authorizations
Bearer authentication header of the form Bearer <secret_key>, where <secret_key> is your secret_key.
Path Parameters
ID of the dispute.
Example:
"dispute id, uuid format"
Response
Success. Returns dispute info.
Show child attributes
Show child attributes
Was this page helpful?
⌘I